VRPlatformVRPlatform
Reports

/reports/profit-and-loss

Profit & Loss report grouped by ledger, party, listing, month, quarter, or year (configure with view query param)

GET
/reports/profit-and-loss
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

startDate?string
endDate?string
party?string
Value in"manager" | "owners"
view?string
Value in"ledger" | "party" | "listing" | "month" | "quarter" | "year"
listingIds?string
ledger?string
Value in"trust" | "operating"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/reports/profit-and-loss"
{
  "netIncome": {
    "id": "string",
    "title": "string",
    "total": 0,
    "totalPercentage": 0,
    "values": [
      {
        "id": "string",
        "title": "string",
        "total": 0,
        "percentage": 0
      }
    ],
    "computedValues": [
      {
        "id": "string",
        "title": "string",
        "total": 0,
        "percentage": 0
      }
    ],
    "categories": [
      {
        "id": "string",
        "title": "string",
        "total": 0,
        "totalPercentage": 0,
        "accounts": [
          {
            "id": "string",
            "title": "string",
            "total": 0,
            "values": [
              {
                "id": "string",
                "title": "string",
                "total": 0,
                "percentage": 0
              }
            ]
          }
        ]
      }
    ],
    "groups": [
      {
        "id": "string",
        "title": "string",
        "total": 0,
        "totalPercentage": 0,
        "values": [
          {
            "id": "string",
            "title": "string",
            "total": 0,
            "percentage": 0
          }
        ],
        "computedValues": [
          {
            "id": "string",
            "title": "string",
            "total": 0,
            "percentage": 0
          }
        ],
        "categories": [
          {
            "id": "string",
            "title": "string",
            "total": 0,
            "totalPercentage": 0,
            "accounts": [
              {
                "id": "string",
                "title": "string",
                "total": 0,
                "values": [
                  {
                    "id": "string",
                    "title": "string",
                    "total": 0,
                    "percentage": 0
                  }
                ]
              }
            ]
          }
        ],
        "groups": [
          {
            "id": "string",
            "title": "string",
            "total": 0,
            "totalPercentage": 0,
            "values": [
              {
                "id": "string",
                "title": "string",
                "total": 0,
                "percentage": 0
              }
            ],
            "computedValues": [
              {
                "id": "string",
                "title": "string",
                "total": 0,
                "percentage": 0
              }
            ],
            "categories": [
              {
                "id": "string",
                "title": "string",
                "total": 0,
                "totalPercentage": 0,
                "accounts": [
                  {
                    "id": "string",
                    "title": "string",
                    "total": 0,
                    "values": [
                      {
                        "id": "string",
                        "title": "string",
                        "total": 0,
                        "percentage": 0
                      }
                    ]
                  }
                ]
              }
            ],
            "groups": [
              {
                "id": "string",
                "title": "string",
                "total": 0,
                "totalPercentage": 0,
                "values": [
                  {
                    "id": "string",
                    "title": "string",
                    "total": 0,
                    "percentage": 0
                  }
                ],
                "computedValues": [
                  {
                    "id": "string",
                    "title": "string",
                    "total": 0,
                    "percentage": 0
                  }
                ],
                "categories": [
                  {
                    "id": "string",
                    "title": "string",
                    "total": 0,
                    "totalPercentage": 0,
                    "accounts": [
                      {
                        "id": "string",
                        "title": "string",
                        "total": 0,
                        "values": [
                          {
                            "id": "string",
                            "title": "string",
                            "total": 0,
                            "percentage": 0
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}